import torch.nn as nn


class Linear(nn.Linear):
    def __init__(self, *args, **kwargs) -> None:
        super().__init__(*args, **kwargs)

    def forward(self, input):
        output = super().forward(input)
        output = output.round()
        return output